| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Profile::Presence Class Reference
Utililty classes

The Profile::Presence class represents a presence defined in .profile files. More...

`#include <TelepathyQt/Profile>`

## Public Member Functions

| Presence ()
| Presence (const Presence &other)
| Presence (const QString &id, const QString &label, const QString &iconName, const QString &message, bool disabled)
| ~Presence ()
QString | id () const
QString | label () const
QString | iconName () const
bool | canHaveStatusMessage () const
bool | isDisabled () const
Presence & | operator= (const Presence &other)

## Detailed Description

The Profile::Presence class represents a presence defined in .profile files.

## Constructor & Destructor Documentation

## § Presence() [1/3]

Tp::Profile::Presence::Presence | ( |  | ) |

Construct a new Profile::Presence object.

## § Presence() [2/3]

Tp::Profile::Presence::Presence | ( | const Presence & | other | ) |

Construct a new Profile::Presence object that is a copy of other.

## § Presence() [3/3]

Tp::Profile::Presence::Presence | ( | const QString & | id,
|  | const QString & | label,
|  | const QString & | iconName,
|  | const QString & | message,
|  | bool | disabled
| ) |  |

Construct a new Profile::Presence object.

Parameters

  id | The presence id.
  label | The presence label.
  iconName | The presence icon name.
  message | The presence message.
  disabled | Whether this presence is supported.

## § ~Presence()

Tp::Profile::Presence::~Presence | ( |  | ) |

Class destructor.

## Member Function Documentation

## § id()

QString Tp::Profile::Presence::id | ( |  | ) | const

Return the Telepathy presence id for this presence.

Returns
  The Telepathy presence id for this presence.

## § label()

QString Tp::Profile::Presence::label | ( |  | ) | const

Return the label that should be used for this presence.

Returns
  The label for this presence.

## § iconName()

QString Tp::Profile::Presence::iconName | ( |  | ) | const

Return the icon name of this presence.

Returns
  The icon name of this presence.

## § canHaveStatusMessage()

bool Tp::Profile::Presence::canHaveStatusMessage | ( |  | ) | const

Return whether user-defined text-message can be attached to this presence.

Returns
  `true` if user-defined text-message can be attached to this presence, `false` otherwise.

## § isDisabled()

bool Tp::Profile::Presence::isDisabled | ( |  | ) | const

Return whether this presence is supported for the service to which this profile applies.

Returns
  `true` if supported, otherwise `false`.

## § operator=()

Profile::Presence & Tp::Profile::Presence::operator= | ( | const Presence & | other | ) |